Bug 239205 - graphics/libdrm: update to 2.4.99
Summary: graphics/libdrm: update to 2.4.99
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-14 19:54 UTC by Shankar Giri
Modified: 2019-08-18 15:34 UTC (History)
1 user (show)

See Also:


Attachments
update ports to 2.4.99 (774 bytes, patch)
2019-07-14 19:54 UTC, Shankar Giri
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shankar Giri 2019-07-14 19:54:33 UTC
Created attachment 205774 [details]
update ports to 2.4.99

Tested with amdgpu on mesa 18.3.2_1.Submitting patch for your consideration.
Comment 1 Niclas Zeising freebsd_committer 2019-07-16 17:55:35 UTC
Hi!

A similar patch is already in our development repo, as can be found here:

https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/xorglibs/graphics/libdrm

It still needs a little bit of testing, but will be committed in due time.
Are you running the patch yourself?
Comment 2 Shankar Giri 2019-07-17 16:35:07 UTC
(In reply to Niclas Zeising from comment #1)
Yes, I've been running it for a week now. Since you already have it in the pipeline, I'll try the one in the development repo this week.
Comment 3 commit-hook freebsd_committer 2019-08-18 15:34:16 UTC
A commit references this bug:

Author: zeising
Date: Sun Aug 18 15:34:01 UTC 2019
New revision: 509224
URL: https://svnweb.freebsd.org/changeset/ports/509224

Log:
  graphics/libdrm: Update to 2.4.99

  Update graphics/libdrm to 2.4.99

  Changelog:
  https://lists.x.org/archives/xorg-announce/2019-July/003001.html

  PR:		239205
  Reported by:	Shankar Giri
  Obtained from:	FreeBSD Graphics Team development repo
  		https://github.com/FreeBSDDesktop/freebsd-ports/tree/feature/xorglibs
  Sponsored by:	B3 Init

Changes:
  head/graphics/libdrm/Makefile
  head/graphics/libdrm/distinfo